Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
tuananhcd04

cộng đều các góc quay của text

Các bài được khuyến nghị

tuananhcd04    0

Trong bản vẽ em có các text với rotation tương ứng là: 30Độ, 50 độ , v.v... Có lệnh hay lisp nào khi sử dụng nó sẽ cộng đều các giá trị rotaion với 1 số không? Chẳng hạn em sẽ cộng các rotation cảu các text trên thêm 180 độ. kết quả sẽ là 210 độ, 230 độ.

Thanks các pác

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
VUVUZELA    98

Đây bạn ơi

Có gì pm mình

(Defun C:ct (/)
 (setvar "cmdecho" 0)
 (setq ange (getangle (strcat "\nNhap goc can chuyen : ")))
 (setq a (ssget (list (cons 0 "TEXT"))))
 (setq b (sslength a))
 (setq x -1)
 (repeat b
   (setq x (+ x 1))
   (setq ent (ssname a x))
   (setq ents (entget ent))
   (setq goc1 (cdr (assoc 50 ents)))
   (setq goc (+ goc1 ange))
   (setq ents (subst (cons 50 goc) (assoc 50 ents) ents))
   (entmod ents)
 )
 (princ "\nChuong trinh duoc viet boi VUVUZELA")
)

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×